name: virusaround
description: virusaround app

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: ">=2.1.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter


  flutter_datetime_picker: ^1.3.5
  cupertino_icons: ^0.1.2
  flutter_native_splash: ^0.1.9
  intro_views_flutter: ^2.8.0
  shared_preferences: ^0.5.6
  regexed_validator: ^1.0.2
  location: ^2.3.5
  google_maps_flutter: ^0.5.21+15
  hive: ^1.2.0
  hive_flutter: ^0.2.1

  flutter_inappwebview:
    git:
      url: https://github.com/pichillilorenzo/flutter_inappwebview.git
      ref: master

  firebase_core: ^0.4.0+9
  firebase_auth: ^0.15.2
  firebase: 7.2.1
  firebase_database: ^3.1.1
  firebase_storage: ^3.1.0
  grouped_buttons: ^1.0.4
  dropdown_formfield: ^0.1.1
  geolocator: ^5.1.5
  google_map_location_picker: ^3.0.1
  flutter_linkify: ^3.0.0
  url_launcher: ^5.4.1
  pin_code_fields: ^2.3.0+3
  skeleton_text: ^1.0.0
  animated_floatactionbuttons: ^0.1.0
  firebase_messaging: ^6.0.9
  flutter_slidable: ^0.5.4
  http: any
  webview_flutter: ^0.3.19+5
  cloud_firestore: ^0.13.4
  flutter_xlider: ^3.1.1
  chips_choice: ^1.0.0
  flutter_typeahead: ^1.7.0
  country_list_pick: ^1.0.0+2



  flutter_webview_plugin: any
  geoflutterfire:
    git:
      url: https://github.com/Krojce/GeoFlutterFire.git



flutter_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/icon/icon.png"

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_launcher_icons: "^0.7.3"


# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  # assets:
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
